<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="40dp"
            android:layout_marginTop="50dp"
            android:layout_marginEnd="40dp"
            android:background="@drawable/shape_white_20"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/ivBg"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:background="@mipmap/bg_red_envelope_shadow"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/ivAvatar"
                android:layout_width="30dp"
                android:layout_height="30dp"
                app:layout_constraintEnd_toStartOf="@+id/tvSenderName"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="@+id/ivBg"
                app:layout_constraintTop_toBottomOf="@+id/ivBg" />

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvSenderName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:gravity="center"
                android:maxWidth="160dp"
                android:maxLines="1"
                android:textColor="#ffa048"
                android:textSize="16dp"
                app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
                app:layout_constraintEnd_toEndOf="@+id/ivBg"
                app:layout_constraintStart_toEndOf="@+id/ivAvatar"
                app:layout_constraintTop_toTopOf="@+id/ivAvatar"
                tools:text="的方式的发多少范德萨发顺丰手动阀" />

            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvDescribe"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textColor="#131B23"
                android:textSize="12dp"
                android:layout_marginTop="16dp"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                app:layout_constraintEnd_toEndOf="@+id/ivBg"
                app:layout_constraintStart_toStartOf="@+id/ivBg"
                app:layout_constraintTop_toBottomOf="@+id/ivAvatar"
                tools:text="@string/who_send_red_envelope_broadcast" />


            <TextView
                android:id="@+id/tvCancel"
                app:layout_constraintTop_toBottomOf="@+id/tvDescribe"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:textSize="14dp"
                android:textColor="#828C9D"
                android:text="@string/cancel"
                app:layout_constraintStart_toStartOf="@+id/ivBg"
                app:layout_constraintEnd_toStartOf="@+id/tvSure"
                android:layout_width="0dp"
                android:layout_height="48dp"/>

            <TextView
                android:id="@+id/tvSure"
                android:gravity="center"
                android:textSize="14dp"
                android:textColor="#fff"
                android:text="@string/go_to"
                android:background="@drawable/shape_ff56b7_bottom_right_20"
                app:layout_constraintTop_toBottomOf="@+id/tvDescribe"
                android:layout_marginTop="20dp"
                app:layout_constraintStart_toEndOf="@+id/tvCancel"
                app:layout_constraintEnd_toEndOf="@+id/ivBg"
                android:layout_width="0dp"
                android:layout_height="48dp"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/ivRedEnvelope"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/icon_big_red_envelope"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>